org.codehaus.groovy.runtime.metaclass

## Class DefaultMetaClassInfo.ConstantMetaClassVersioning

- java.lang.Object
- - org.codehaus.groovy.runtime.metaclass.DefaultMetaClassInfo.ConstantMetaClassVersioning

- Enclosing class:
    DefaultMetaClassInfo

      public static class DefaultMetaClassInfo.ConstantMetaClassVersioning
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantMetaClassVersioning()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isValid()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantMetaClassVersioning

          public ConstantMetaClassVersioning()

  - ### Method Detail

    - #### isValid

          public boolean isValid()